import { r as registerInstance, h } from './index-fb899b9a.js';
import { s as state } from './signTransactionsModalStore-e11c9674.js';

// types here need to be synced with the types in sdk-dapp-core tokens.types.ts
var EsdtEnumType;
(function (EsdtEnumType) {
    EsdtEnumType["FungibleESDT"] = "FungibleESDT";
})(EsdtEnumType || (EsdtEnumType = {}));
var NftEnumType;
(function (NftEnumType) {
    NftEnumType["NonFungibleESDT"] = "NonFungibleESDT";
    NftEnumType["SemiFungibleESDT"] = "SemiFungibleESDT";
    NftEnumType["MetaESDT"] = "MetaESDT";
})(NftEnumType || (NftEnumType = {}));

const fungibleComponentCss = "*,:after,:before{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;border:0 solid #e5e7eb;box-sizing:border-box}::backdrop{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;}/*! tailwindcss v3.4.17 | MIT License | https://tailwindcss.com*/:after,:before{--tw-content:\"\"}:host,html{-webkit-text-size-adjust:100%;font-feature-settings:normal;-webkit-tap-highlight-color:transparent;font-family:ui-sans-serif,system-ui,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;font-variation-settings:normal;line-height:1.5;-moz-tab-size:4;tab-size:4}body{line-height:inherit;margin:0}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-feature-settings:normal;font-family:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;font-size:1em;font-variation-settings:normal}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}button,input,optgroup,select,textarea{font-feature-settings:inherit;color:inherit;font-family:inherit;font-size:100%;font-variation-settings:inherit;font-weight:inherit;letter-spacing:inherit;line-height:inherit;margin:0;padding:0}button,select{text-transform:none}button,input:where([type=button]),input:where([type=reset]),input:where([type=submit]){-webkit-appearance:button;background-color:transparent;background-image:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}progress{vertical-align:baseline}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}summary{display:list-item}blockquote,dd,dl,fieldset,figure,h1,h2,h3,h4,h5,h6,hr,p,pre{margin:0}fieldset,legend{padding:0}menu,ol,ul{list-style:none;margin:0;padding:0}dialog{padding:0}textarea{resize:vertical}input::placeholder,textarea::placeholder{color:#9ca3af;opacity:1}[role=button],button{cursor:pointer}:disabled{cursor:default}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}[hidden]:where(:not([hidden=until-found])){display:none}.flex{display:flex}.uppercase{text-transform:uppercase}*{box-sizing:border-box;margin:0;padding:0}.fungible-container{display:flex;flex-direction:column}.fungible-inner-container{align-items:center;background-color:#f9f6ee;border-radius:8px;display:flex;justify-content:space-between;padding-right:8px}.fungible-img-container{align-items:flex-end;display:flex;gap:1rem}.fungible-img{height:64px;width:64px}.fungible-sft{background-color:#171717;border-radius:4px;color:#fed7aa;padding:4px 8px;text-transform:uppercase}.static{position:static}.shadow{--tw-shadow:0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px -1px rgba(0,0,0,.1);--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}";
const FungibleComponentStyle0 = fungibleComponentCss;

const LABELS = {
    [NftEnumType.SemiFungibleESDT]: 'SFT',
    [NftEnumType.NonFungibleESDT]: 'NFT'
};
const FungibleComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const { sftTransaction, nftTransaction, commonData } = state;
        const { tokenType } = commonData;
        const data = tokenType === NftEnumType.SemiFungibleESDT
            ? sftTransaction
            : nftTransaction;
        const { amount = '', identifier = '', imageURL = '' } = data || {};
        const label = LABELS[tokenType];
        return (h("sign-transaction-component", { key: '5a613ab14a56d7778d43b2f4a13c760bb44dfdd5', header: h("div", { class: "fungible-container" }, h("span", null, `You are sending ${amount} ${label}`), h("div", { class: "fungible-inner-container" }, h("div", { class: "fungible-img-container" }, h("img", { src: imageURL, alt: identifier, class: "fungible-img" }), h("div", null, h("span", null, identifier))), h("span", { class: "fungible-sft" }, label))) }));
    }
};
FungibleComponent.style = FungibleComponentStyle0;

export { FungibleComponent as fungible_component };

//# sourceMappingURL=fungible-component.entry.js.map